diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/search/spi/model/query/contributor/DEDataListViewKeywordQueryContributor.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/search/spi/model/query/contributor/DEDataListViewKeywordQueryContributor.java
index 34fd065c3ef765..1cb77f7bbe9da7 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/search/spi/model/query/contributor/DEDataListViewKeywordQueryContributor.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/search/spi/model/query/contributor/DEDataListViewKeywordQueryContributor.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.internal.search.spi.model.query.contributor;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/search/spi/model/query/contributor/DEDataListViewModelPreFilterContributor.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/search/spi/model/query/contributor/DEDataListViewModelPreFilterContributor.java
index 764ea41556a6b8..48baa5a05bd8c5 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/search/spi/model/query/contributor/DEDataListViewModelPreFilterContributor.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/search/spi/model/query/contributor/DEDataListViewModelPreFilterContributor.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.internal.search.spi.model.query.contributor;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/DEServiceUpgrade.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/DEServiceUpgrade.java
index b844f363fd85e7..695a2bd441c75d 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/DEServiceUpgrade.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/DEServiceUpgrade.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.internal.upgrade;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v1_0_0/UpgradeSchema.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v1_0_0/UpgradeSchema.java
index 1ab9eeb9e110d6..ab6236bf42f943 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v1_0_0/UpgradeSchema.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v1_0_0/UpgradeSchema.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.internal.upgrade.v1_0_0;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_0_0/UpgradeCompanyId.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_0_0/UpgradeCompanyId.java
index 2ca6536f419cd3..692accb83bc332 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_0_0/UpgradeCompanyId.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_0_0/UpgradeCompanyId.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.internal.upgrade.v2_0_0;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_0/UpgradeDEDataDefinitionFieldLink.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_0/UpgradeDEDataDefinitionFieldLink.java
index 51f18a5d95910d..1b0467ffc1943f 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_0/UpgradeDEDataDefinitionFieldLink.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_0/UpgradeDEDataDefinitionFieldLink.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.internal.upgrade.v2_1_0;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_0/util/DEDataDefinitionFieldLinkTable.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_0/util/DEDataDefinitionFieldLinkTable.java
index d0ff972e255db2..9d0770d29bebf8 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_0/util/DEDataDefinitionFieldLinkTable.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_0/util/DEDataDefinitionFieldLinkTable.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.internal.upgrade.v2_1_0.util;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_1/UpgradeDEDataDefinitionFieldLink.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_1/UpgradeDEDataDefinitionFieldLink.java
index afb81a8dfe053c..0def0f9c5bbc94 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_1/UpgradeDEDataDefinitionFieldLink.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_1/UpgradeDEDataDefinitionFieldLink.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.internal.upgrade.v2_1_1;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_1/util/DEDataDefinitionFieldLinkTable.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_1/util/DEDataDefinitionFieldLinkTable.java
index 96d5b42fc8ff16..96f13d5bc3b49e 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_1/util/DEDataDefinitionFieldLinkTable.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/upgrade/v2_1_1/util/DEDataDefinitionFieldLinkTable.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.internal.upgrade.v2_1_1.util;;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/xstream/configurator/DEDataDefinitionFieldLinkXStreamConfigurator.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/xstream/configurator/DEDataDefinitionFieldLinkXStreamConfigurator.java
index 3cfd085c5ec353..eaf7eba72926f2 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/xstream/configurator/DEDataDefinitionFieldLinkXStreamConfigurator.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/internal/xstream/configurator/DEDataDefinitionFieldLinkXStreamConfigurator.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.internal.xstream.configurator;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkBaseImpl.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkBaseImpl.java
index 7f6058f5993581..905dc6e30e038e 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkBaseImpl.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkBaseImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.model.impl;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkCacheModel.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkCacheModel.java
index 8bfed34589fb2f..1b0932f2f37417 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkCacheModel.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkCacheModel.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.model.impl;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkImpl.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkImpl.java
index fb6947b45ab3b7..07fb2964b12bbf 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkImpl.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.model.impl;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkModelImpl.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkModelImpl.java
index 600b95db95c608..858c819734b306 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkModelImpl.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataDefinitionFieldLinkModelImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.model.impl;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewBaseImpl.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewBaseImpl.java
index a602e137320a63..876cacad8d3d4c 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewBaseImpl.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewBaseImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.model.impl;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewCacheModel.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewCacheModel.java
index b574b75278af65..abf19e1075c413 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewCacheModel.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewCacheModel.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.model.impl;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewImpl.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewImpl.java
index 2e5baa6e4d4063..384026768dbbc0 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewImpl.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.model.impl;
diff --git a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewModelImpl.java b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewModelImpl.java
index d0f9333faf1924..0d36a4f924b6f2 100644
--- a/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewModelImpl.java
+++ b/modules/apps/data-engine/data-engine-service/src/main/java/com/liferay/data/engine/model/impl/DEDataListViewModelImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the Liferay Enterprise
+ * Subscription License ("License"). You may not use this file except in
+ * compliance with the License. You can obtain a copy of the License by
+ * contacting Liferay, Inc. See the License for the specific language governing
+ * permissions and limitations under the License, including but not limited to
+ * distribution rights of the Software.
+ *
+ *
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.data.engine.model.impl;
